Search

Angular Bootstrap 5 Search component

The search box is an UI element prepared for creating search engines. Its most important element is search input, but it can also contain icons or buttons. It is also adjusted to be used in various other components such as navbar, dropdown, table, select, sidenav and many more.


Basic example

A basic example with a simple button.

        
            
      <div class="input-group">
        <mdb-form-control>
          <input mdbInput type="search" id="form1" class="form-control" />
          <label mdbLabel class="form-label" for="form1">Search</label>
        </mdb-form-control>
        <button type="button" class="btn btn-primary">
          <i class="fas fa-search"></i>
        </button>
      </div>
      
        
    

Search event

Here is example how you can make search component with event on it which will fire after clicking on search button.

        
            
      <div class="input-group">
        <mdb-form-control>
          <input #input mdbInput type="search" id="form1" class="form-control" />
          <label mdbLabel class="form-label" for="form1">Search</label>
        </mdb-form-control>
        <button type="button" class="btn btn-primary" (click)="search(input.value)">
          <i class="fas fa-search"></i>
        </button>
      </div>
      
        
    
        
            
      import { Component } from '@angular/core';

      @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.scss']
      })
      export class AppComponent {
        title = 'mdb-angular-ui-kit-free';
        
        search(value: string) {
          console.log(value);
        }
      }
      
        
    

Dropdown

Moreover, you can integrate our search with dropdown component

Learn more about Dropdowns in the Dropdowns Docs

        
            
      <div mdbDropdown class="dropdown">
        <button
          class="btn btn-primary dropdown-toggle"
          type="button"
          id="dropdownMenuButton"
          aria-expanded="false"
          mdbDropdownToggle
        >
          Dropdown
        </button>
        <ul
          mdbDropdownMenu
          class="dropdown-menu"
          aria-labelledby="dropdownMenuButton"
        >
          <div class="input-group">
            <mdb-form-control>
              <input
                mdbInput
                (keydown)="searchItems($event)"
                type="search"
                id="form1"
                class="form-control"
              />
              <label mdbLabel class="form-label" for="form1">Search</label>
            </mdb-form-control>
            <button type="button" class="btn btn-primary">
              <i class="fas fa-search"></i>
            </button>
          </div>
          <li *ngFor="let item of filteredItems">
            <a class="dropdown-item" href="#">{{ item }}</a>
          </li>
        </ul>
      </div>
      
        
    
        
            
      import { Component } from '@angular/core';

      @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.scss']
      })
      export class AppComponent {
        title = 'mdb-angular-ui-kit-free';
        
        items = ['Action', 'Another action', 'Something else here'];
        filteredItems = this.items;
          
        searchItems(event: any) {
          const value = event.target.value;
      
          this.filterItems(value);
        }
      
        filterItems(value: string) {
          const filterValue = value.toLowerCase();
          this.filteredItems = this.items.filter((item: string) =>
            item.toLowerCase().includes(filterValue)
          );
        }
      }
      
      
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Search
React Bootstrap 5 Search component
The search box is an UI element prepared for creating search engines. Its most important element is search input, but it can also contain icons or buttons. It is also adjusted to be used in various other components such as navbar, dropdown, table, select, sidenav and many more.
Basic example
A basic example with a simple button.
        
            
      import React from 'react';
      import { MDBInputGroup, MDBInput, MDBIcon, MDBBtn } from 'mdb-react-ui-kit';
      export default function App() {
        return (
          <MDBInputGroup>
            <MDBInput label='Search' />
            <MDBBtn rippleColor='dark'>
              <MDBIcon icon='search' />
            </MDBBtn>
          </MDBInputGroup>
        );
      }
      
        
    
Search event
Here is example how you can make search component with event on it which will fire after clicking on search button.
        
            
      import React, { useState } from 'react';
      import { MDBInputGroup, MDBInput, MDBIcon, MDBAlert, MDBBtn } from 'mdb-react-ui-kit';
      export default function App() {
        const [showSearchAlert, setShowSearchAlert] = useState(false);
        return (
          <>
            <MDBInputGroup>
              <MDBInput label='Search' />
              <MDBBtn onClick={() => setShowSearchAlert(true)} rippleColor='dark'>
                <MDBIcon icon='search' />
              </MDBBtn>
            </MDBInputGroup>
            <MDBAlert delay={1000} position='top-right' autohide appendToBody show={showSearchAlert}>
              Search!
            </MDBAlert>
          </>
        );
      }
      
        
    
Autocomplete
By adding extra JS code you can make your search input autocomplete as well.
Learn more about Autocomplete in the Autocomplete Docs
        
            
      import React from 'react';
      import { MDBInputGroup, MDBAutocomplete, MDBIcon, MDBBtn } from 'mdb-react-ui-kit';
      export default function App() {
        const data = ['One', 'Two', 'Three', 'Four', 'Five', 'Six', 'Seven', 'Eight'];
        return (
          <MDBInputGroup>
            <MDBAutocomplete
              label='Example label'
              dataFilter={(value: any) => {
                return data.filter((item) => {
                  return item.toLowerCase().startsWith(value.toLowerCase());
                });
              }}
            />
            <MDBBtn rippleColor='dark'>
              <MDBIcon icon='search' />
            </MDBBtn>
          </MDBInputGroup>
        );
      }
      
        
    
Dropdown
Moreover, you can integrate our search with dropdown component
Learn more about Dropdowns in the Dropdowns Docs
        
            
      import React from 'react';
      import {
        MDBInput,
        MDBIcon,
        MDBDropdown,
        MDBDropdownMenu,
        MDBDropdownToggle,
        MDBDropdownItem,
        MDBDropdownLink,
        MDBDropdownDivider,
      } from 'mdb-react-ui-kit';
      export default function App() {
        return (
          <MDBDropdown>
            <MDBDropdownToggle>Dropdown</MDBDropdownToggle>
            <MDBDropdownMenu>
              <MDBDropdownItem>
                <MDBInput className='mt-2 bg-white' label='Search' />
              </MDBDropdownItem>
              <MDBDropdownDivider />
              <MDBDropdownItem>
                <MDBDropdownLink href='#'>Action</MDBDropdownLink>
              </MDBDropdownItem>
              <MDBDropdownItem>
                <MDBDropdownLink href='#'>Another action</MDBDropdownLink>
              </MDBDropdownItem>
              <MDBDropdownItem>
                <MDBDropdownLink href='#'>Something else here</MDBDropdownLink>
              </MDBDropdownItem>
            </MDBDropdownMenu>
          </MDBDropdown>
        );
      }

Search

Vue Bootstrap 5 Search component

The search box is an UI element prepared for creating search engines. Its most important element is search input, but it can also contain icons or buttons. It is also adjusted to be used in various other components such as navbar, dropdown, table, select, sidenav and many more.


Basic example

A basic example with a simple button.

        
            
      <template>
        <MDBInput
          inputGroup
          :formOutline="false"
          wrapperClass="mb-3"
          v-model="search1"
          placeholder="Recipient's username"
          aria-label="Recipient's username"
          aria-describedby="button-addon2"
        >
          <MDBBtn color="primary" :ripple="{ color: 'dark' }">
            <MDBIcon icon="search" />
          </MDBBtn>
        </MDBInput>
      </template>
      
        
    
        
            
      <script>
        import { MDBInput, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
        import { ref } from 'vue';
        export default {
          components: {
            MDBInput,
            MDBBtn, 
            MDBIcon
          },
          setup() {
            const search1 = ref('');
            return {
              search1,
            };
          },
        };
      </script>
      
        
    

Search event

Here is example how you can make search component with event on it which will fire after clicking on search button.

        
            
      <template>
        <MDBInput
          inputGroup
          :formOutline="false"
          wrapperClass="mb-3"
          v-model="search2"
        >
          <MDBBtn
            color="primary"
            :ripple="{ color: 'dark' }"
            @click="showAlert"
          >
            <MDBIcon icon="search" />
          </MDBBtn>
        </MDBInput>
      </template>
      
        
    
        
            
      <script>
        import { MDBInput, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
        import { ref } from 'vue';
        export default {
          components: {
            MDBInput,
            MDBBtn, 
            MDBIcon
          },
          setup() {
            const search2 = ref('');
            return {
              search2,
            };
          },
        };
      </script>
      
        
    

Autocomplete

By adding extra JS code you can make your search input autocomplete as well.

Learn more about Autocomplete in the Autocomplete Docs

        
            
      <template>
        <MDBInput
          inputGroup
          v-model="autocompleteBasic"
          :filter="filterBasic"
          style="width: 22rem"
          label="Example label"
        >
          <MDBBtn
            color="primary"
            :ripple="{ color: 'dark' }"
            @click="showAlert"
          >
            <MDBIcon icon="search" />
          </MDBBtn>
        </MDBInput>
      </template>
      
        
    
        
            
      <script>
        import { MDBInput, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
        import { ref } from 'vue';
        export default {
          components: {
            MDBInput,
            MDBBtn, 
            MDBIcon
          },
          setup() {
            const autocompleteBasic = ref("");
            const optionsBasic = ref([
              "One",
              "Two",
              "Three",
              "Four",
              "Five",
              "Six",
              "Seven",
              "Eight"
            ]);
            const filterBasic = value => {
              return optionsBasic.value.filter(item => {
                return item.toLowerCase().startsWith(value.toLowerCase());
              });
            };
            return {
              autocompleteBasic,
              filterBasic
            };
          },
        };
      </script>
      
        
    

Dropdown

Moreover, you can integrate our search with dropdown component

Learn more about Dropdowns in the Dropdowns Docs

        
            
      <template>
        <MDBDropdown v-model="dropdown1">
          <MDBDropdownToggle
            @click="dropdown1 = !dropdown1"
            class="hidden-arrow"
          >
            Dropdown
          </MDBDropdownToggle>
          <MDBDropdownMenu aria-labelledby="dropdownMenuButton">
            <MDBDropdownItem href="#">
              <MDBInput inputGroup label="Search" v-model="search3" />
            </MDBDropdownItem>
            <MDBDropdownItem divider>Action</MDBDropdownItem>
            <MDBDropdownItem href="#">Action</MDBDropdownItem>
            <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
            <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
          </MDBDropdownMenu>
        </MDBDropdown>
      </template>
      
        
    
        
            
      <script>
        import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBInput } from "mdb-vue-ui-kit";
        import { ref } from 'vue';
        export default {
          components: {
            MDBDropdown,
            MDBDropdownToggle,
            MDBDropdownMenu,
            MDBDropdownItem,
            MDBInput
          },
          setup() {
            const dropdown1 = ref(false);
            const search3 = ref(false);
            return {
              dropdown1,
              search3
            }
          }
        };
      </script>
      
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!